<?php
require'f_forumm.php';
$titlu='Postează răspuns';
require'f_sus.php';
require'f_mut.php';
if($tinfo[8]!=1||$perm>0)
{
$lpost=$conn->query('SELECT`data`FROM`forum_postari`WHERE`de`="'.$de.'"ORDER BY`data`DESC LIMIT 1')->fetch_row();
$antiflood=$_SERVER['REQUEST_TIME']-$lpost[0];
if($antiflood>$anti_flood)
{
if($pmtext!='')
{
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='postare forum în topicul '.$tinfo[3];
$text=$pmtext;
require'f_ban.php';
}
require'f_spam.php';
if($conn->query('INSERT INTO`forum_postari`SET`text`="'.$pmtext.'",`tid`="'.$tid.'",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`citat`="'.$pid.'",`raportat`="'.(spam($pmtext)&&!in_array($de,$id_proprietari)?$id_robot:0).'"'))
{
require'f_notificare.php';
if($pid>0)
{
if($pinfo[1]!=$de)
notificare('am răspuns la postarea ta cu identitatea '.$pid.', din topicul [url=/forum/topic/'.$tid.'-'.seo($tinfo[3]).$x3.']'.$tinfo[3].'[/url]![br/]Am scris: [b]'.$pmtext.'[/b]',$pinfo[1],$de);
}
if($tinfo[1]!=$de)
notificare('am răspuns în topicul tau [url=/forum/topic/'.$tid.'-'.seo($tinfo[3]).$x3.']'.$tinfo[3].'[/url][br/]Am scris: [b]'.$pmtext.'[/b]',$tinfo[1],$de);
$conn->query('UPDATE`membrii`SET`postari`=postari+1,`lei`=lei+'.$lei['postare'].' WHERE`id`="'.$de.'"');
$conn->query('UPDATE`forum_topicuri`SET`activitate`="'.$_SERVER['REQUEST_TIME'].'"WHERE`id`="'.$tid.'"');
require'f_sex.php';
if($finfo[3]==0)
{
$items=$conn->query('SELECT`de`FROM`forum_abonati_topicuri`WHERE`de`!="'.$de.'"&&`tid`="'.$tid.'"&&`citit`="1"');
while($item=$items->fetch_row())
{
notificare('in topicul [url=/forum/topic/'.$tid.'-'.seo($tinfo[3]).$x3.']'.$tinfo[3].'[/url] la care ești abonat'.sex($item[0],2).', au fost postate mesaje noi!',$item[0]);
}
}
else
{
$items=$conn->query('SELECT`de`FROM`grup_membrii`WHERE`de`!="'.$de.'"&&`cid`="'.$finfo[3].'"&&`citit`>"0"&&`dezabonat`="0"');
while($item=$items->fetch_row())
{
notificare('in topicul [url=/forum/topic/'.$tid.'-'.seo($tinfo[3]).$x3.']'.$tinfo[3].'[/url] din forumul [url=/forum/forum/'.$fid.'-'.seo($finfo[2]).']'.$finfo[2].'[/url] din grupul [url=/grup/id/'.$finfo[3].'-'.seo($cinfo[1]).']'.$cinfo[1].'[/url] am scris o postare!',$item[0],$de);
}
}
$conn->query('INSERT INTO`evenimente`SET`text`="a postat în topicul [url=/forum/topic/'.$tid.'-'.seo($tinfo[3]).$x3.']'.$tinfo[3].'[/url]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
$conn->query('UPDATE`forum_abonati_topicuri`SET`citit`="0"WHERE`tid`="'.$tid.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Mesaj postat, iar tu ai primit <strong>'.$lei['postare'].'</strong> lei!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai scris nimic!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Mai asteapta: <strong>'.($anti_flood-$antiflood).'</strong> secunde!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Topicul este inchis, deci nu se poate posta!';
echo$div[0];
require'f_jos.php';